POST {{baseURL}}/v2/settlements/batches/close
This endpoint closes the merchant's currently open batch and submits its unsettled transactions for settlement with the specified payment processor.
Settlement is processed asynchronously. Poll GET /v2/settlements/batches to monitor when settlement completes. This action is irreversible.
If the open batch contains no outstanding transactions to settle, this call returns a 400 Bad Request instead of submitting an empty settlement.
This endpoint is Idempotent. See the idempotency-key header entry. For more information, see Idempotency.
See Also:
To list settlement batches, see GET /v2/settlements/batches.
Specifies the client-generated idempotency-key.
This key is optional. We recommend using the key to prevent multiple invocations of the operation. This key makes this request safely retryable, or idempotent. If the idempotency key is not included, the call will not have idempotency protection.
A retry with the same key, made within the retention window, returns the original response verbatim. The operation is not repeated. The retention window, also called the TTL (time to live) is 1440 minutes (24 hours) by default but this setting may be changed.
A retry with the same key while the original request is still processing returns 409 Conflict (IdempotencyKeyInProgress). Retry again after a short delay.
Reusing the same key with a different request body returns 422 Unprocessable Content (IdempotencyKeyConflict). Generate a new key for each distinct operation.
A 500 series server error is not stored against the key. A retry with the same key after a 500 series response processes the request again.
- Sandbox environmenthttps://sandbox.api.flute.com/v2/settlements/batches/close
- Production environmenthttps://api.flute.com/v2/settlements/batches/close
// Language is not supported.OK
Identifies the batch settlement type.
Valid values are:
| Batch Type | Meaning |
|---|---|
| Open | An open batch is still active and accepting transactions. |
| PendingSettlement | The batch has been submitted for settlement and is processing with the acquirer or bank. |
| Settled | A settled batch has completed processing with the acquirer or bank. |
| Declined | The batch settlement was declined by the acquirer or bank. |
Example: Open
{ "batchStatus": "PendingSettlement" }